Retrieve the activity timeline for a contact, sorted by creation date (newest first).
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/activities \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"type": "note_created",
"created_at": "2023-11-07T05:31:56Z",
"actor": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"seen_at": "2023-11-07T05:31:56Z"
},
"assistant": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
},
"segment": {
"id": "<string>",
"name": "<string>",
"color": "red",
"contacts_count": 123,
"boards": [
{
"board_id": "<string>",
"board_name": "<string>",
"column_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"broadcast": {
"id": "<string>",
"name": "<string>"
},
"note": {
"id": "<string>",
"contact_id": "<string>",
"content": "<string>",
"attachments": [
{
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
}
},
"file": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"metadata": {}
}
]Bearer token authentication using your API key
Schema for the type of an activity event
note_created, file_uploaded, segment_added, segment_removed, contact_blocked, contact_unblocked, contact_unsubscribed, contact_resubscribed Page number
Number of items to take
Next page token (Only used on special endpoints)
Schema for the type of an activity event
note_created, file_uploaded, segment_added, segment_removed, contact_blocked, contact_unblocked, contact_unsubscribed, contact_resubscribed Schema for a limited user
Show child attributes
Schema for an assistant actor in an activity
Show child attributes
Schema for the segment
Show child attributes
Public information about a broadcast
Show child attributes
Schema for a contact note
Show child attributes
Detailed information about a file
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/activities \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"type": "note_created",
"created_at": "2023-11-07T05:31:56Z",
"actor": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"seen_at": "2023-11-07T05:31:56Z"
},
"assistant": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
},
"segment": {
"id": "<string>",
"name": "<string>",
"color": "red",
"contacts_count": 123,
"boards": [
{
"board_id": "<string>",
"board_name": "<string>",
"column_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"broadcast": {
"id": "<string>",
"name": "<string>"
},
"note": {
"id": "<string>",
"contact_id": "<string>",
"content": "<string>",
"attachments": [
{
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
}
},
"file": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"metadata": {}
}
]